EMF::EMRSAVEDC(3)

NAME
EMF::EMRSAVEDC - EMF Save DC.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRSAVEDC (void)
EMRSAVEDC (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Save DC.

Save the device context (i.e., push contents on a stack of some variety?)

Constructor & Destructor Documentation

  EMF::EMRSAVEDC::EMRSAVEDC (void ) [inline]
Create a Save DC record.

References EMRSAVEDC().

Referenced by EMRSAVEDC().

  EMF::EMRSAVEDC::EMRSAVEDC (DATASTREAM & ds) [inline]
Construct an Savedc record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSAVEDC::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSAVEDC::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSAVEDC::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.